#!/bin/bash

# path variables
echo 'DESTDIR = ' > Makefile
echo 'PREFIX = /usr/local' >> Makefile

# print a list of all (sub)directories
echo -e '\nDIRS = \' >> Makefile
ls -R | grep ^./ | sed 's_^./\(.*\):$_\t$(DESTDIR)$(PREFIX)/share/chino/presets/default/\1 \\_' >> Makefile
echo -e '\n' >> Makefile

# rule for installing directories
echo -e "\ndirs:" >> Makefile
echo -e "\tinstall -m755 -d \$(DIRS)\n" >> Makefile

# rule for installing files
echo -e "\nfiles:\tdirs" >> Makefile
for line in $(ls -R | grep ^./ | sed 's_^./\(.*\):$_\1_') ; do
    dirs=$(ls -l "$line" | grep ^d | wc -l)
    files=$(( $(ls -l "$line" | wc -l) - 1))
    if [ $dirs -lt $files ] ; then
        if [ $dirs -eq 0 ] ; then
            echo -e "\tinstall -m644 $line/* \\
                \$(DESTDIR)\$(PREFIX)/share/chino/presets/default/$line/">> Makefile
        else
            for entry in $(ls $line) ; do
                if [ ! -d "$line/$entry" ] ; then
                    echo -e "\tinstall -m644 $line/$entry \\
                \$(DESTDIR)\$(PREFIX)/share/chino/presets/default/$line/" >> Makefile
                fi
            done
            unset entry
        fi
    fi
done
#     add session definition file
echo -e "\tinstall -m644 default.sdef \\
                \$(DESTDIR)\$(PREFIX)/share/chino/presets/default/default.sdef\n" >> Makefile

# install rule
echo -e '\ninstall:\t files dirs\n' >> Makefile


# vim:set ts=4 sw=4 et:
